% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{lake}
\alias{lake}
\title{National Lakes Assessment Data}
\format{
An \code{sf} object with 102 rows and 9 columns:

\itemize{
\item comid: A common identifier from NHDPlusV2.
\item log_cond: The natural logarithm of lake conductivity.
\item state: The US state: One of Arizona (AZ), Colorado (CO), Nevada (NV),
Utah (UT).
\item temp: Lake catchment 30-year average temperature (in degrees Celsius).
\item precip: Lake watershed 30-year average precipitation (in centimeters).
\item elev: Lake elevation (in meters).
\item origin: Lake origin (human-made or natural).
\item year: A factor representing year (2012 or 2017).
\item geometry: \code{POINT} geometry representing coordinates in a NAD83
projection (EPSG: 5070). Distances between points are in meters.
}
}
\usage{
lake
}
\description{
Lake data collected as part of the United States Environmental Protection
Agency's 2012 and 2017 National Lakes Assessment and LakeCat.
}
\keyword{datasets}
