% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/spmodel-package.R
\docType{package}
\name{spmodel-package}
\alias{spmodel}
\alias{spmodel-package}
\title{spmodel: Spatial Statistical Modeling and Prediction}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Fit, summarize, and predict for a variety of spatial statistical models applied to point-referenced and areal (lattice) data. Parameters are estimated using various methods. Additional modeling features include anisotropy, non-spatial random effects, partition factors, big data approaches, and more. Model-fit statistics are used to summarize, visualize, and compare models. Predictions at unobserved locations are readily obtainable. For additional details, see Dumelle et al. (2023) \doi{10.1371/journal.pone.0282524}.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://usepa.github.io/spmodel/}
  \item Report bugs at \url{https://github.com/USEPA/spmodel/issues}
}

}
\author{
\strong{Maintainer}: Michael Dumelle \email{Dumelle.Michael@epa.gov} (\href{https://orcid.org/0000-0002-3393-5529}{ORCID})

Authors:
\itemize{
  \item Matt Higham \email{mhigham@stlawu.edu} (\href{https://orcid.org/0009-0006-4217-625X}{ORCID})
  \item Jay M. Ver Hoef \email{jay.verhoef@noaa.gov} (\href{https://orcid.org/0000-0003-4302-6895}{ORCID})
}

Other contributors:
\itemize{
  \item Ryan A. Hill \email{hill.ryan@epa.gov} (\href{https://orcid.org/0000-0001-9583-0426}{ORCID}) [contributor]
  \item Michael Mahon \email{Mahon.Michael@epa.gov} (\href{https://orcid.org/0000-0002-9436-2998}{ORCID}) [contributor]
}

}
\keyword{internal}
